<template>
  <div class="container">
	<div class="card">
    <br>
    <br>
	<avatar class="img" background-color="#f4508e" color="#fff" :username="userName" size="90"></avatar> 
		<br>
		<h1>{{userName}}</h1>
		<b-button pill class="mbtn1" href="/profile" >View profile</b-button>
	</div>
</div>
</template>

<script>
  export default {
    props: {

      userName: {
        type: String,
        default: "User name"
      }
    }
  }
</script>

<style lang="scss" scoped>
@import url("https://fonts.googleapis.com/css?family=Poppins:300,400,600");

* {
	box-sizing: border-box;
}


// color map
$COLOR: (
	prime: #3b70fc,
	dark: #3c3c3c,
	grey: #dddfe6,
	white: #f9f9f9
);

// color function
@function color($color) {
	@return map-get($COLOR,
  $color);
}

.container {
  height: 400px;
  max-width: 300px;
	margin: auto;
	font-family: "Poppins", Arial, san-serif;
	line-height: 1.4;
	display: flex;
	justify-content: center;
}


// styles

.card {
	background: #fff
		url("https://image.freepik.com/free-photo/pink-powder-explosion-white-background_36326-3160.jpg")
		top 500% center no-repeat;
	border-radius: 10px;
	box-shadow: 0 10px 30px -5px rgba(color(dark), 0.2);
	text-align: center;
  padding: 30px 20px 40px 20px;
  
	.img {
		border-radius: 50%;
		margin: 0px auto;
		display: block;
  }
  
	h1 {
    margin-top: 10px;
		font-size: 12px;
		letter-spacing: 1px;
	}
	h2 {
		font-weight: 300;
		font-size: 10px;
  }
  
  .mbtn1{
    margin-top: auto !important;
    margin-bottom: 10px !important;
  }
}


</style>